package api_key

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/api_key"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api_key/update api_key UpdateApiKey
//
// Update api_key information | 更新ApiKey
//
// Update api_key information | 更新ApiKey
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: ApiKeyInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateApiKeyHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ApiKeyInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := api_key.NewUpdateApiKeyLogic(r.Context(), svcCtx)
		resp, err := l.UpdateApiKey(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
